import { request } from 'umi';
export default {
  /** 查询数据字典信息*/
  GetDictData(data) {
    return request('/saasbase/api/dictdata/getdictdata', {
      method: 'Post',
      data: data,
    });
  },
  /** 新增数据字典信息*/
  AddDictData(data) {
    return request('/saasbase/api/dictdata/adddictdata', {
      method: 'POST',
      data: {
        ...data,
      },
    });
  },
  /** 修改数据字典信息*/
  UpdateDictData(data) {
    return request('/saasbase/api/dictdata/updatedictdata', {
      method: 'POST',
      data: {
        ...data,
      },
    });
  },
  /** 删除数据字典信息*/
  removeDictData(data) {
    return request(`/saasbase/api/dictdata/batchdeldictdata`, {
      method: 'POST',
      data: data,
    });
  },
  /** 获取字典类型信息*/
  getDictTypeList() {
    return request(`/saasbase/api/dicttype/dicttype`, {
      method: 'Get',
      // params: { ...params },
      // ...(options || {}),
    });
  },
};
